List MCP registry servers
curl --request GET \
--url https://{controlPlaneURL}/api/svc/mcp-registry/v0.1/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/mcp-registry/v0.1/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/mcp-registry/v0.1/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"servers": [
{
"server": {
"$schema": "https://static.modelcontextprotocol.io/schemas/2025-12-11/server.schema.json",
"description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
"name": "com.my-tenant/my-server",
"version": "1.0.2",
"title": "My MCP Server",
"websiteUrl": "https://modelcontextprotocol.io/examples",
"remotes": [
{
"type": "streamable-http",
"url": "https://api.example.com/mcp",
"variables": {}
}
]
},
"_meta": {}
}
],
"metadata": {
"count": 123,
"nextCursor": "<string>"
}
}MCP Registry
List MCP registry servers
Returns MCP servers in registry format for the caller’s tenant, with optional search, version filter, and cursor pagination.
GET
/
api
/
svc
/
mcp-registry
/
v0.1
/
servers
List MCP registry servers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pagination cursor for retrieving next set of results. Use the exact value returned in metadata.nextCursor.
Include deleted servers in results (default: false, but always true when updated_since is provided)
Number of items per page
Required range:
1 <= x <= 100Example:
50
Search servers by name (substring match)
Filter servers updated since timestamp (RFC3339 datetime)
Example:
"2025-08-07T13:15:04.280Z"
Filter by version ('latest' for latest version, or an exact version like '1.2.3')
Example:
"latest"
Was this page helpful?